"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = require("react");

function useInterval(callback, delay) {
  var savedCallback = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    savedCallback.current = callback;
  }, [callback]);
  (0, _react.useEffect)(function () {
    function tick() {
      savedCallback.current();
    }

    if (delay) {
      var id = setInterval(function () {
        tick();
      }, delay);
      return function () {
        return clearInterval(id);
      };
    }
  }, [delay]);
}

var _default = useInterval;
exports["default"] = _default;
module.exports = exports.default;